## com.lowagie.text.pdf
Interface HyphenationEvent

All Known Implementing Classes:
  HyphenationAuto

    public interface HyphenationEvent

Called by `Chunk` to hyphenate a word.

Author:
  Paulo Soares (psoares@consiste.pt)

Method Summary
`java.lang.String` `getHyphenatedWordPost()` Gets the second part of the hyphenated word.
`java.lang.String` `getHyphenatedWordPre(java.lang.String word, BaseFont font, float fontSize, float remainingWidth)` Hyphenates a word and returns the first part of it.
`java.lang.String` `getHyphenSymbol()` Gets the hyphen symbol.

Method Detail

### getHyphenSymbol

    java.lang.String getHyphenSymbol()

  Gets the hyphen symbol.

  Returns:
    the hyphen symbol

### getHyphenatedWordPre

    java.lang.String getHyphenatedWordPre(java.lang.String word,
                                          BaseFont font,
                                          float fontSize,
                                          float remainingWidth)

  Hyphenates a word and returns the first part of it. To get the second part of the hyphenated word call `getHyphenatedWordPost()`.

  Parameters:
    `word` - the word to hyphenate
    `font` - the font used by this word
    `fontSize` - the font size used by this word
    `remainingWidth` - the width available to fit this word in
  Returns:
    the first part of the hyphenated word including the hyphen symbol, if any

### getHyphenatedWordPost

    java.lang.String getHyphenatedWordPost()

  Gets the second part of the hyphenated word. Must be called after `getHyphenatedWordPre()`.

  Returns:
    the second part of the hyphenated word